org.apache.ivy.core.retrieve

## Interface RetrieveEngineSettings

All Superinterfaces:
  ParserSettings

All Known Implementing Classes:
  IvySettings

    public interface RetrieveEngineSettings
    extends ParserSettings

### Method Summary

Methods
`java.lang.String[]` `getIgnorableFilenames()`
`IvyVariableContainer` `getVariables()`
`boolean` `isCheckUpToDate()`

### Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings

`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getNamespace, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute, substitute`

### Method Detail

#### isCheckUpToDate

    boolean isCheckUpToDate()

#### getVariables

    IvyVariableContainer getVariables()

#### getIgnorableFilenames

    java.lang.String[] getIgnorableFilenames()